<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateServiceCategoryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('service_category', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('title')->default('')->comment('分类名称');
            $table->string('cover')->nullable()->comment('封面图');
            $table->string('sort')->default('0')->comment('排序');
            $table->tinyInteger('status')->default('0')->comment('状态');
            $table->string('creator')->nullable()->comment('创建者');
            $table->string('updater')->nullable()->comment('更新者');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('service_category');
    }
}
